<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="@dimen/dp_243"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_black_default_shape">

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="@dimen/dp_243"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_black_top_radius5_shape"
            android:ellipsize="marquee"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:gravity="center_vertical"
            android:marqueeRepeatLimit="marquee_forever"
            android:paddingStart="@dimen/dp_13"
            android:paddingTop="@dimen/dp_10"
            android:paddingEnd="@dimen/dp_30"
            android:paddingBottom="@dimen/dp_10"
            android:singleLine="true"
            android:textColor="@color/white"
            android:textSize="@dimen/dp_16"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/iv_close"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="@dimen/dp_10"
            android:src="@drawable/ic_live_teaching_close"
            app:layout_constraintBottom_toBottomOf="@id/tv_title"
            app:layout_constraintEnd_toEndOf="@id/tv_title"
            app:layout_constraintTop_toTopOf="@id/tv_title" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_189"
            android:overScrollMode="never"
            android:paddingTop="@dimen/dp_9"
            android:paddingBottom="@dimen/dp_20"
            android:scrollbars="vertical"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_title"
            tools:listitem="@layout/layout_accompaniment_download_list_item" />

        <LinearLayout
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/recyclerView"
            android:paddingBottom="@dimen/dp_20"
            android:layout_marginBottom="@dimen/dp_20"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_55"
            android:layout_marginLeft="@dimen/dp_15"
            android:layout_marginRight="@dimen/dp_15"
            android:layout_marginTop="@dimen/dp_15"
            android:orientation="horizontal">
            <com.cooleshow.base.widgets.ColorTextView
                android:id="@+id/ctv_layout_accompaniment_download_dialog_cancel"
                android:layout_width="0dp"
                android:layout_weight="1"
                android:layout_height="match_parent"
                android:textSize="@dimen/sp_14"
                android:textColor="#FFFFFF"
                app:ctvCornerSize="4dp"
                app:ctvBorderWidth="1dp"
                app:ctvBorderColor="@color/white"
                android:gravity="center"
                app:ctvBackground="@color/transparent"
                android:text="取消"/>
            <com.cooleshow.base.widgets.ColorTextView
                android:id="@+id/ctv_layout_accompaniment_download_dialog_comfirm"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_width="0dp"
                android:layout_weight="1"
                android:layout_height="match_parent"
                android:textSize="@dimen/sp_14"
                android:textColor="#FFFFFF"
                app:ctvCornerSize="4dp"
                app:ctvBackground="#656376"
                android:gravity="center"
                android:text="确认"/>
        </LinearLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>


</LinearLayout>